%define name pidentd
%define version 3.0.16
%define release 1mdk

Summary: An implementation of the RFC1413 identification server.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Servers
URL: http://www.lysator.liu.se/~pen/pidentd
Source: ftp://ftp.lysator.liu.se/pub/unix/ident/servers/%{name}-%{version}.tar.bz2
Source1: identd.conf
Patch0: pidentd-3.0.8-dummy.patch.bz2
Patch2: pidentd-3.0.10-install.patch.bz2
Patch3: pidentd-3.0.11-nossl.patch.bz2
Patch4: pidentd-3.0.14-remove_o.patch.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
Prereq: rpm-helper
Requires: /sbin/chkconfig coreutils

%description
The pidentd package contains identd, which implements the RFC1413
identification server.  Identd looks up specific TCP/IP connections
and returns either the user name or other information about the
process that owns the connection.

%prep
%setup -q
%patch0 -p1 -b .dummy
%patch2 -p1 -b .inst
%patch3 -p1
%patch4 -p1

%build
%serverbuild
autoconf
%configure --sysconfdir=%{_sysconfdir} --with-threads=yes

%__make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8

%makeinstall

ln -s identd ${RPM_BUILD_ROOT}%{_sbindir}/in.identd
# dangling symlink (typo ?)
#ln -s identd.8 ${RPM_BUILD_ROOT}%{_sbindir}/in.identd.8
mkdir -p ${RPM_BUILD_ROOT}/etc/rc.d/{init,rc0,rc1,rc2,rc3,rc4,rc5,rc6}.d
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/identd.conf
install -m 0644 etc/identd.init $RPM_BUILD_ROOT%{_initrddir}/identd

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_post_service identd

%preun
%_preun_service identd

%files
%defattr(-,root,root)
%doc BUGS ChangeLog FAQ INSTALL README Y2K doc/rfc1413.txt doc/sgi_irix.txt
%{_sbindir}/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/identd.conf
%attr(0755,root,root) %config(noreplace) %{_initrddir}/identd
%{_mandir}/man8/*

%changelog
* Fri Jan 10 2003 Franois Pons <fpons@mandrakesoft.com> 3.0.16-1mdk
- 3.0.16.

* Thu Nov 07 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.0.14-4mdk
- remove useless prefix
- prereq: rpm-helper
- requires s/fileutils/coreutils/

* Wed Nov 07 2001 Franois Pons <fpons@mandrakesoft.com> 3.0.14-3mdk
- added url tag.

* Fri Oct 26 2001 Franois Pons <fpons@mandrakesoft.com> 3.0.14-2mdk
- remove -o for pidentd startup (Blue Lizard).

* Thu Oct 25 2001 Franois Pons <fpons@mandrakesoft.com> 3.0.14-1mdk
- 3.0.14.

* Tue Jul 03 2001 Franois Pons <fpons@mandrakesoft.com> 3.0.12-3mdk
- build release, updated distribution tag.

* Fri Mar 30 2001 Frederic Lepied <flepied@mandrakesoft.com> 3.0.12-2mdk
- use server macros

* Mon Dec 04 2000 Geoffrey Lee <snailtalk@manrakesoft.com> 3.0.12-1mdk
- new and shiny source.

* Wed Aug 30 2000 Franois Pons <fpons@mandrakesoft.com> 3.0.11-6mdk
- added noreplace on config file.
- added more macroszifications.

* Thu Jul 20 2000 Franois Pons <fpons@mandrakesoft.com> 3.0.11-5mdk
- fixed man pages location.
- removed /usr/bin/perl requires.

* Mon Jul 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.11-4mdk
- Don't build with crypto.

* Sat Jul 15 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.0.11-3mdk
- Remove ugly perl -pe in %post.
- Add config.files.

* Mon Jul 12 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 3.0.11-2mdk
- makeinstall macro
- macroszifications

* Mon Jun 12 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 3.0.11-1mdk
- updated to 3.0.11
- removed 3.0.10 security patch (fixed in 3.0.11)

* Mon Apr 03 2000 Franois Pons <fpons@mandrakesoft.com> 3.0.10-1mdk
- spec file update.
- updated with 3.0.10 and rh patches.

* Sat Apr 01 2000 Franois Pons <fpons@mandrakesoft.com> 2.8.5-8mdk
- updated Group.

* Sun Oct 31 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- SMp check/build

* Fri Jul 09 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- add example cfg
- refixed dangling BuildRoot in man page
- add to cooker

* Wed Jun 02 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Added pidentd+fm-1.1 patch for masq support

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Fri Mar 19 1999 Jeff Johnson <jbj@redhat.com>
- strip binaries.

* Fri Mar 12 1999 Jeff Johnson <jbj@redhat.com>
- update to 2.8.5.
- fix dangling BuildRoot in man page (#1458).

* Thu Nov 12 1998 Jeff Johnson <jbj@redhat.com>
- update to 2.8.4.

* Mon Aug 17 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated to 2.7

* Fri Jul 18 1997 Erik Troan <ewt@redhat.com>
- built against glibc
